<?php declare(strict_types=1);

namespace Infomaker\Imengine\CropData\Interfaces;

/**
 * Interface NpCropDataInterface
 *
 * @package Infomaker\Imengine\CropData\Interfaces
 */
interface NewsPilotCropDataInterface
{
    /**
     * NpCropDataInterface constructor.
     *
     * @param int $width
     * @param int $height
     */
    public function __construct(int $width, int $height);

    /**
     * @return int
     */
    public function getWidth(): int;

    /**
     * @return int
     */
    public function getHeight(): int;

    /**
     * @return float
     */
    public function getCropX(): float;

    /**
     * @return float
     */
    public function getCropY(): float;

    /**
     * @return float
     */
    public function getZoom(): float;
}
